Subject: Re: bug#53891: 29.0.50; native comp eln cache

From: Colin McLear <[email-masked]>
Date: Wed, 09 Feb 2022 23:46:30 -0500

Sounds good -- thank you. Let me know if I can provide any other useful 
information.

On 9 Feb 2022, at 8:54, Eli Zaretskii wrote:

>> From: Colin McLear <[email-masked]>
>> Date: Tue, 08 Feb 2022 23:10:24 -0500
>>
>> On recent version from emacs-master I've noticed that I can no longer
>> reliably set the eln-cache. I have the following in my early-init.el:
>>
>> ```
>> ;; Dir for eln-cache
>> (when (boundp 'native-comp-eln-load-path)
>> (setcar native-comp-eln-load-path
>> (expand-file-name (convert-standard-filename 
>> ".local/temp/cache/eln-cache/")
>> user-emacs-directory)))
>>
>> ;; Silence nativecomp warnings popping up
>> (setq native-comp-async-report-warnings-errors nil)
>>
>> ;; Settings
>> (setq native-comp-speed 2
>> native-comp-deferred-compilation t
>> package-native-compile t)
>> ```
>> But this isn't reliably setting the cache and I've had to rever to an
>> earlier commit where things worked (as reported in the versio info).
>
> This was never supported.  That it used to work for you was just luck.
>
> Since it sounds like people want to divert the eln-cache directory to
> custom places, something we didn't envision, we should support it
> correctly: by making the "eln-cache" directory name customizable
> instead of hard-coded.
>
> I will work on adding such a feature.  Please stay tuned.

__

Colin McLear
colinmclear.net